diff --git a/src/main/modcall.c b/src/main/modcall.c
index 44a685f119d..10164ad64cf 100644
--- a/src/main/modcall.c
+++ b/src/main/modcall.c
@@ -807,8 +807,7 @@ static int modcall_recurse(REQUEST *request, int component, int depth,
 	 *	We're higher than any previous priority, remember this
 	 *	return code and priority.
 	 */
-	if ((priority >= entry->priority) &&
-	    (result != entry->result)) {
+	if (priority >= entry->priority) {
 		entry->result = result;
 		entry->priority = priority;
 	}
